<template>
  <!-- <nuxt-link to="/auth" class=""> -->
  <div
    class="productItem my-5 mx-2 h-52 w-[8.625rem] sm:w-64 sm:h-64	"
  >
  <!-- @click="$emit('productCount', count)" -->

    <div
      class="relative w-full h-2/3 aspect-w-1 aspect-h-1 rounded-3xl overflow-hidden group-hover:opacity-75 sm:h-64 lg:aspect-none border border-[#979797]"
    >
      <!-- {{product}} -->
      <img
        :src="`https://2sote.com/File/Product/Tiny/${product.imageDefault}`"
        :alt="product.imgAlt"
        class="w-full h-full object-center object-cover lg:w-full lg:h-full"
      />
      <div class="absolute bottom-4 left-5" @click.stop>
        <AddProductToOrder :productId="product.id" :orderMin="product.orderMin" />
        <!-- <div
          class="rounded-full border-2 border-black p-1 w-6 h-6 text-center m-auto"
          v-show="!showAddToCard"
          @click="AddToCard(product.id)"
          @mouseenter="count !== 0 ? (showAddToCard = true) : ''"
        >
          <img
            v-if="count == 0"
            class="cursor-pointer"
            src="Path.svg"
            alt=""
            srcset=""
          />
          <span v-else class="cursor-pointer">
            {{ count }}
          </span>
        </div>

        <div
          v-show="showAddToCard"
          @mouseenter="showAddToCard = true"
          @mouseleave="showAddToCard = false"
          class="items-center left-10 flex flex-col rounded-md bg-[#F8F6F6] shadow-2xl p-3"
        >
          <img
            v-if="count == 1"
            src="trash.svg"
            width="17.87"
            class="cursor-pointer"
            height="20"
            @click=";(count = 0), (showAddToCard = false)"
          />
          <img
            v-else
            src="subtractionWC.svg"
            width="17.87"
            class="cursor-pointer"
            height="30"
            @click="removeToCard()"
          />
          <p class="my-3">{{ count }}</p>
          <img
            src="Path.svg"
            class="cursor-pointer"
            width="12"
            height="12"
            @click="AddToCard(product.id)"
          />
        </div> -->
      </div>
    </div>
    <div class="">
      <div class="overflow-hidden">
        <h3 class="text-sm mt-3 text-gray-700 flex justify-end">
          <nuxt-link to="product.href">
            {{ product.name }}
          </nuxt-link>
        </h3>
      </div>
      <div
        class="mt-4 flex justify-between"
        v-if="product.price2 !== product.price"
      >
        <p class="text-sm font-medium text-gray-900">
          {{ priceFormatting(product.price2) }}
        </p>

        <p class="mt-1 text-sm text-gray-500">
          <span class="bg-red-400 px-3 py-0.5 text-white rounded-full">
            {{ discountProduct(product.price2, product.price) }}
          </span>
        </p>
      </div>
      <div class="mt-4 flex justify-start">
        <p
          v-if="product.price2 !== product.price"
          class="text-sm font-medium text-gray-900/50 line-through"
        >
          {{ priceFormatting(product.price) }}
        </p>

        <p v-else class="text-sm font-medium text-gray-900">
          {{ priceFormatting(product.price2) }}
        </p>
      </div>
    </div>
  </div>
  <!-- </nuxt-link> -->
</template>

<script>
import AddProductToOrder from '../base/addProductToOrder.vue'
export default {
  data() {
    return {
      count: 0,
      showAddToCard: false,
    }
  },
  props: {
    product: {
      type: Object,
      required: true,
    },
  },
  methods: {
    AddToCard(productId) {
      this.showAddToCard = true
      this.count++

      const orderDetail = {
        productId: productId,
        factorId: 0,
        qty: 1,
        updateCount: false,
      }

      this.$store.dispatch('order/FetchFactorDtlAdd', orderDetail)
    },
    removeToCard() {
      if (this.count !== 0 && this.count !== 1) this.count--
    },
    priceFormatting(item) {
      return (
        'تومان' + ' ' + item.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',')
      )
    },
    discountProduct(price1, price2) {
      return '%' + Math.round(((price2 - price1) / price2) * 100)
    },
  },
  components: { AddProductToOrder },
}
</script>

<style lang="scss" scoped>
.productItem:hover {
  transition: all 0.4s ease-out;
  transform: translate(0, -15px);
}
</style>
